Skip to content

Models

List the models callable by the current token.

GET https://wrouter.ai/v1/models

Format auto-detection

Request headersResponse format
x-api-key + anthropic-versionAnthropic style
x-goog-api-key or ?key=...Gemini style (/v1beta/models)
OtherwiseOpenAI style (default)

OpenAI-style response

json
{
  "object": "list",
  "data": [
    {"id": "gpt-4o", "object": "model", "created": 1718000000, "owned_by": "openai"},
    {"id": "claude-sonnet-4-5", "object": "model", "created": 1718000000, "owned_by": "anthropic"}
  ]
}

Examples

bash
# OpenAI style
curl https://wrouter.ai/v1/models \
  -H "Authorization: Bearer $WROUTER_API_KEY"

# Anthropic style
curl https://wrouter.ai/v1/models \
  -H "x-api-key: $WROUTER_API_KEY" \
  -H "anthropic-version: 2023-06-01"

# Gemini style
curl "https://wrouter.ai/v1beta/models?key=$WROUTER_API_KEY"

Browse in the console

For a richer view (pricing, context window, supported features, rate limits) visit https://wrouter.ai/models.